import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.product.item.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.product.item.doEdit,
    method: 'post',
    data,
  })
}

export function getItemListByPid(params) {
  return request({
    url: URL.shop.product.item.getItemListByPid,
    method: 'get',
    params,
  })
}

export function getBrandS(params) {
  return request({
    url: URL.shop.product.item.getBrandS,
    method: 'get',
    params,
  })
}
